#!/bin/ksh

#install location - this is where embedded Websphere was installed
export APPSRV_INSTALLROOT=/opt/ibm/ldap/V6.2/idsapps/appsrv
#end install location

#ldap install location (for Solaris this is /opt/IBMLdapc)
export LDAP_INSTALLHOME=/opt/ibm/ldap/V6.2/idsapps
#end ldap install location

#White Pages port file
export PORTSFILE=/opt/ibm/ldap/V6.2/idsapps/DWPWEBPortDef.props
#end White Pages port file

# This copies the war file from where it was installed to the application server directory
# First, make the directory if it's not there.
   

if [ ! -d $APPSRV_INSTALLROOT/profiles/WPProfile ]; then
	"$APPSRV_INSTALLROOT/bin/manageprofiles.sh" -create -profileName "WPProfile" -profilePath "$APPSRV_INSTALLROOT/profiles/WPProfile" -templatePath "$APPSRV_INSTALLROOT/profileTemplates/default" -nodeName DefaultNode -hostName localhost -cellName DefaultNode -isDefault -portsFile "$PORTSFILE"
fi

test -d $APPSRV_INSTALLROOT/profiles/WPProfile/installableApps || mkdir "$APPSRV_INSTALLROOT/profiles/WPProfile/installableApps"
if [ -f "$LDAP_INSTALLHOME/DirectoryWhitePages.ear" ]; then
    cp "$LDAP_INSTALLHOME/DirectoryWhitePages.ear" "$APPSRV_INSTALLROOT/profiles/WPProfile/installableApps"
else
    echo "DirectoryWhitePages.ear not found in $LDAP_INSTALLHOME/ directory."
    exit -1
fi

if [ -f "$LDAP_INSTALLHOME/WelcomePage.ear" ]; then
    cp "$LDAP_INSTALLHOME/WelcomePage.ear" "$APPSRV_INSTALLROOT/profiles/WPProfile/installableApps"
else
    echo "WelcomePage.ear not found in $LDAP_INSTALLHOME/ directory."
    exit -1 
fi 

"$APPSRV_INSTALLROOT/profiles/WPProfile/bin/wsadmin.sh" -conntype NONE -c "\$AdminApp install {$APPSRV_INSTALLROOT/profiles/WPProfile/installableApps/DirectoryWhitePages.ear} {-node DefaultNode -usedefaultbindings -nodeployejb -appname DirectoryWhitePages.ear -contextroot \"IDSWHITEPAGES\"}"
"$APPSRV_INSTALLROOT/profiles/WPProfile/bin/wsadmin.sh" -conntype NONE -c "\$AdminApp install {$APPSRV_INSTALLROOT/profiles/WPProfile/installableApps/WelcomePage.ear} {-node DefaultNode -usedefaultbindings -nodeployejb -appname WelcomePage.ear -contextroot \"IDSWHITEPAGES\"}"

if [ -d $APPSRV_INSTALLROOT/profiles/WPProfile/installedApps/DefaultNode/WelcomePage.ear.ear/wp_v11.war ]; then
	if [ -f "$LDAP_INSTALLHOME/etc/entitlement.txt" ]; then
	    cp "$LDAP_INSTALLHOME/etc/entitlement.txt" "$APPSRV_INSTALLROOT/profiles/WPProfile/installedApps/DefaultNode/WelcomePage.ear.ear/wp_v11.war"
	fi
fi
"$APPSRV_INSTALLROOT/profiles/WPProfile/bin/startServer.sh" server1

exit $?
